Bug 138603 - FC1 to FC3 upgrade with dpt_i2o card fails
FC1 to FC3 upgrade with dpt_i2o card fails
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: hwdata (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-10 01:49 EST by Gordon Ewasiuk
Modified: 2014-03-16 22:50 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-10 15:15:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
df and fstab output (1.31 KB, text/plain)
2004-11-10 01:50 EST, Gordon Ewasiuk
no flags Details
dmesg output (8.83 KB, text/plain)
2004-11-10 01:51 EST, Gordon Ewasiuk
no flags Details
lspci output (3.93 KB, text/plain)
2004-11-10 01:51 EST, Gordon Ewasiuk
no flags Details

  None (edit)
Description Gordon Ewasiuk 2004-11-10 01:49:09 EST
Description of problem:

Upgrading from an FC1 server with Adaptec 2100 IDE RAID card (uses
dpt_i2o) to FC3 resulted in system that wouldn't boot.  Kernel panic
with "mkinitrd: label / not found".

How reproducible:

100% of the time

Steps to Reproduce:
1.  Build FC1 server with Adaptec 2100 IDE RAID Controller
2.  Update to FC3
3.  Reboot and get kernel panic.
  
Actual results:

mkinitrd: label / not found

Expected results:

A working FC3 system.  Expected dpt_i2o to be replaced with new
i2o_block driver.  

Additional info:

Found initrd still used dpt_i2o after upgrade.  Made new initrd with
module i2o_block.  System booted normally and without a problem.  All
i2o devices were detected.

Release notes warn of possible problems during upgrade but don't
address whether dpt_i2o is replaced with i2o_block.
Comment 1 Gordon Ewasiuk 2004-11-10 01:50:31 EST
Created attachment 106391 [details]
df and fstab output
Comment 2 Gordon Ewasiuk 2004-11-10 01:51:00 EST
Created attachment 106392 [details]
dmesg output
Comment 3 Gordon Ewasiuk 2004-11-10 01:51:33 EST
Created attachment 106393 [details]
lspci output
Comment 4 Jwahar Bammi 2004-11-10 07:36:04 EST
I am seeing the exact same problem (integrated sil sata on a shuttle 
ft61 motherboard).
It would help a lot if Gordon or someone could attach the exact steps 
required to make a "new initrd with module i2o_block"  (for those of 
us less familiar with linux).
thanks
Comment 5 Gordon Ewasiuk 2004-11-10 08:29:59 EST
Someone asked for the fix.  Here it is:

boot server to rescue mode
chroot /mnt/sysimage
mkinitrd -v --with-module=i2o_block /boot/initrd-2.6.9-1.667 2.6.9-1.667

reboot

that fixed my problem.
Comment 6 Bill Nottingham 2004-11-10 15:15:26 EST
Fixed in hwdata-0.147-1.
Comment 7 Jason Duerstock 2005-02-01 12:22:54 EST
Just to clear up the temporary fix, the mkinitrd line should read:
mkinitrd -v --with=i2o_block /boot/initrd-2.6.9-1.667.img 2.6.9-1.667

Note You need to log in before you can comment on or make changes to this bug.